Page MenuHomePhabricator

CX2: Support communicating issues not attached to specific paragraphs
Closed, ResolvedPublic

Description

The mechanism for communicating issues (T189488) allows to surface errors and warnings of different kinds. Some of these issues refer to a specific section of the document (paragraph or title), others are general for the whole document or it may not be possible to determine the relevant part of the document.

Currently the issue system supports only issues attached to the section, and the system needs to be updated in order to support issues that are not attached to a specific part (e.g., T192144).

Event Timeline

Vvjjkkii renamed this task from CX2: Support communicating issues not attached to specific paragraphs to s0aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from s0aaaaaaaa to CX2: Support communicating issues not attached to specific paragraphs.Jul 2 2018, 7:33 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.

Change 445042 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Extract issue tracking away from translation nodes

https://gerrit.wikimedia.org/r/445042

Change 453481 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Allow global issues, not attached to any DOM node

https://gerrit.wikimedia.org/r/453481

Change 453481 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Allow global issues, not attached to any DOM node

https://gerrit.wikimedia.org/r/453481

Petar.petkovic moved this task from In Review to QA on the Language-2018-July-September board.
Petar.petkovic removed a subscriber: gerritbot.
Etonkovidova closed this task as Resolved.Sep 3 2018, 5:06 PM
Etonkovidova added a subscriber: Etonkovidova.

In cx2 there are no restriction on publishing by new users; even a user that just registered can publish a translation.

The invalid characters in an articles' titles error message is successfully displayed as part of the issue summary card.

I've added test cases to check to T189488 (closing this task as Resolved).